%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%%-----------------------------------------------------------------
%% Record: log
%% Types: name = atom()         : the unique name of the log.
%%        wrapt = integer()     : the min wrap time for the log. if
%%                                it wraps more often an alarm is sent
%%        admin_status = up | down
%%        oper_status = up | down
%% Purpose: The definition of a log.
%%-----------------------------------------------------------------
-record(log, {name, type, wrapt, admin_status = up, oper_status = up}).
