/* ``The contents of this file are subject to the Erlang Public License,
 * Version 1.0, (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.erlang.org/EPL1_0.txt
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Erlang-4.7.3, December, 1998.
 * 
 * The Initial Developer of the Original Code is Ericsson Telecom
 * AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
 * Telecom AB. All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.''
 */
#ifndef _M_H
#define _M_H

/* RCS: $Id: m.h,v 1.1 1996/04/09 13:20:05 tobbe Exp $ */

#include "ig.h"

/* Test example:
 *
 * 1> X=m:start(). 
 * <0.149.0>
 * 2> m:foo(X,"hejsan",100). 
 *   foo: name = hejsan , age = 100
 * {ok,99}
 * 3> m:bar(X,"hejsan",100). 
 *   foo: name = hejsan , age = 100
 * ok
 * 4> m:stop(X). 
 * ok
 */

IG_fun int foo(IG_string name, int age);

IG_void int bar(IG_string name, int age);

#endif
