%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%%%----------------------------------------------------------------------
%%% File    : imr.hrl
%%% Author  : Per Danielsson <pd@gwaihir>
%%% Purpose : Record definitions for structs used in the
%%%         : implementation repository.
%%% Created : 14 Oct 1997 by Per Danielsson <pd@gwaihir>
%%%----------------------------------------------------------------------

-record(imprec,	{server_name,
		 primary_activation_mode = unshared,
			%shared, unshared, or per-method
		 secondary_activation_mode = per_client, %*** ???
			%per-client, per-client-process or multiple-client. 
		 persistent_only = false,	%true or false
		 owner,
		 permissions,
		 activation_orders}).
