/* ``The contents of this file are subject to the Erlang Public License,
 * Version 1.0, (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.erlang.org/EPL1_0.txt
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Erlang-4.7.3, December, 1998.
 * 
 * The Initial Developer of the Original Code is Ericsson Telecom
 * AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
 * Telecom AB. All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.''
 */
#ifndef _STRUCT_H
#define _STRUCT_H

/* RCS: $Id: struct.h,v 1.4 1996/04/09 13:22:54 tobbe Exp $ */

#include "ig.h"

/* Test example:
 *
 * 1> Z=struct:start().                     
 * <0.114.0>
 * 2> struct:name(Z,{'struct tbook',{person,"Joe Hill",78},123456}).
 *   name: name = Joe Hill , age = 78 , number = 123456
 * {ok,"Joe Hill"}
 * 3>
 */

typedef struct {
  IG_string name;
  int age;
} person;

struct tbook {
  person p;
  int number;
};

IG_fun IG_string name(struct tbook tb);

#endif
