%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%% Copyright (C) 1995, Ellemtel Telecommunications Systems Laboratories
%%-----------------------------------------------------------------------
%% Created:  95-08-10 by Tobbe (tobbe@erix.ericsson.se)
%% 
%% Function: Define some records for the abstract parse format.
%%-----------------------------------------------------------------------
%% RCS: $Id: igabsform.hrl,v 1.3 1996/04/09 12:56:49 tobbe Exp $

%% identifier      ::= (Category x Name x TypeQualifier)
%%   Category      ::= id | type | type_ptr | ptr | assumed_ptr
%%   Name          ::= <atom>
%%   TypeQualifier ::= list_of([const|volatile])
-record(identifier,{cat,name,tq}).  

%% declarations    ::= list_of(Declaration)
%%   Declaration   ::= list_of([Type|TypeQualifier])
%%   Type          ::= <std_C_type> | {type,TypeName} | {ptr,
-record(declarations,{ds}).

