{application, snmp,
 [{description, "SNMPEA  CXC 138 13"},
  {summary,"Simple Network Management Protocol."},
  {abstract,"A Simple Network Management
Protocol Extensible Agent, featuring a MIB
compiler and facilities for implementing
SNMP MIBs etc. "},
  {vsn, "2.2.3"},
  {modules, [
             snmp,
             snmp_acm,
             snmp_agent,
             snmp_agent_sup,
             snmp_app,
             snmp_asn1,
%             snmp_compile,
%             snmp_compile_lib,
             snmp_conf,
             snmp_config,
             snmp_error,
             snmp_generic,
             snmp_generic_mnesia,
             snmp_index,
             snmp_internal_mib,
             snmp_local_db,
             snmp_log,
             snmp_mgr,
             snmp_mgr_misc,
             snmp_mib,
             snmp_mib_data,
%             snmp_mib_gram,
%             snmp_mib_to_hrl,
             snmp_misc,
             snmp_misc_sup,
             snmp_mpc,
             snmp_net_if,
             snmp_note_store,
	     snmp_notification_mib,
             snmp_pdus,
             snmp_pets,
             snmp_set,
             snmp_set_lib,
             snmp_shadow_table,
             snmp_standard_mib,
             snmp_supervisor,
             snmp_svbl,
             snmp_symbolic_store,
             snmp_tok,
             snmp_target_mib,
             snmp_trap
             ]},
  {registered, [snmp_supervisor, snmp_misc_sup, snmp_agent_sup, 
                snmp_master_agent, snmp_note_store, snmp_symbolic_store]},
  {env, [{snmp_agent_type, master}]},
  {applications, [kernel, stdlib]},
  {mod, {snmp_app, []}}]}.
