{application, tools,
 [{description, "DEVTOOLS  CXC 138 16"},
  {summary,"Miscellaneous tools"},
  {abstract,"a number of Stand-alone tools
which are useful when developing Erlang
programs. The current set of tools contains a coverage analyser,
emacs support, a text based trace facility, a profiler, a cross reference tool,
a make utility etc. etc."},
  {vsn, "1.4.1"},
  {modules, [exref,
	     exref_analysis,
	     exref_cross_ref,
	     exref_internal,
	     exref_io,
	     exref_pp,
	     exref_server,
	     eprof,
	     make,
	     dbg,
	     cover,
	     coast,
	     coast_analyse_funcs,
	     coast_comm_funcs,
	     coast_compile_funcs,
	     coast_server
	    ]
  },
  {registered,[]},
  {applications, [kernel, stdlib]},
  {env, [{file_util_search_methods,[{"", ""}, {"ebin", "esrc"}, {"ebin", "src"}]}
	]
  }
 ]
}. 
 
















